﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls.GanttView;

namespace GanttChooseSummaryContainer
{
    public class CustomGanttTask : GanttTask
    {
        private bool isExpanded = true;

        public CustomGanttTask()
            : base()
        {

        }

        public CustomGanttTask(DateTime start, DateTime end, string title)
            : base(start, end, title)
        {

        }

        public bool IsExpanded
        {
            get
            {
                return this.isExpanded;
            }
            set
            {
                if (this.isExpanded != value)
                {
                    this.isExpanded = value;
                    this.OnPropertyChanged(() => this.IsExpanded);
                }
            }
        }
    }
}
