﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Data;
using Telerik.Windows.Controls.GanttView;

namespace GanttChooseSummaryContainer
{
    public class Converter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            //var eventProxy = value as EventProxy;
            //if (eventProxy != null)
            //{
            //var customGanttTask = eventProxy.OriginalEvent as CustomGanttTask;
            var customGanttTask = value as CustomGanttTask;
            if (customGanttTask != null)
            {
                if (customGanttTask.IsExpanded)
                {
                    return parameter.ToString() == "summary" ? Visibility.Visible : Visibility.Collapsed;
                }
                else
                {
                    return parameter.ToString() == "summary" ? Visibility.Collapsed : Visibility.Visible;
                }
            }
            // }

            return Visibility.Collapsed;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            // TODO: Implement this method
            throw new NotImplementedException();
        }
    }
}
